RXQUEUE(1)

NAME
rxqueue - The Regina Rexx Interpreter external queue filter

SYNOPSIS
rxqueue [-h, --help] [-D, --debug] [-t string, --text string] [queue] [/fifo | /lifo | /clear | /pull | /queued]

DESCRIPTION
rxqueue is a utility that provides access to the Regian Rexx external queue daemon (rxstack). It acts as a filter by placing lines onto a queue via stdin or a single line with the -t or --text switches. Lines can be pulled off the queue to stdout

OPTIONS

-h, --help
    Displays short help.

-D, --debug
    Turns debugging on -t string, --text string Places the single line specified in string onto an optional queue in the order specified by /fifo or /lifo

queue
    The name of the queue to use. Format is queuename[@machine][:port]. If not specified the queue name used is SESSION on localhost using the default port.

ACTIONS

/fifo
    Stacks the contents of stdin onto the queue in first in, first out order.

/lifo
    Stacks the contents of stdin onto the queue in last in, first out order.

/clear
    Removes all lines currently stacked in the queue.

/pull
    Extracts the next line from the queue to stdout and removes it from the queue.

/queued
    Returns the number of lines stacked on the queue to stdout

ENVIRONMENT
rxqueue uses the following environment variables if set.

RXDEBUG
    Enables debugging. Same as specifying -D or --debug option.

RXSTACK
    The port number on which rxstack listens. By default this is 5757.

RXQUEUE
    The name of the queue to be used if not specified by the client using rxqueue. By default this is SESSION.

COPYRIGHT
The Regina Rexx interpreter is distributed under the GNU Library General Public License, see the file `COPYING-LIB' in the source code distribution.

AUTHOR
Anders Christensen, University of Trondheim, Norway <anders (at) pvv.unit.no>.

MAINTAINER
Changes to Regina since 0.07a, Mark Hessling <mark (at) rexx.org> with significant assistance from Florian Grosse-Coosmann.

SEE ALSO
rxstack(1) There are several good reference books on Rexx. The most famous is "The Rexx Language" by Mike Cowlishaw. Visit http://www.rexxla.org (The Rexx Language Association) for any Rexx related information.